<?php

// File Security Check.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class The7_Option_Field_Text extends The7_Option_Field_Abstract {

	public function html() {
		$disabled = empty( $this->option['disabled'] ) ? '' : ' disabled';

		return '<input id="' . esc_attr( $this->option['id'] ) . '" class="of-input" name="' . esc_attr( $this->option_name ) . '" type="text" value="' . esc_attr( $this->val ) . '"' . $disabled . '/>';
	}
}